%define upstream_name    Geo-Coordinates-DecimalDegrees
%define upstream_version 0.11

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Convert between degrees/minutes/seconds and decimal degrees
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Geo/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::Number::Delta)
BuildArch:  noarch

%description
Latitudes and longitudes are most often presented in two common formats:
decimal degrees, and degrees, minutes and seconds. There are 60 minutes in
a degree, and 60 seconds in a minute. In decimal degrees, the minutes and
seconds are presented as a fractional number of degrees. For example, 1
degree 30 minutes is 1.5 degrees, and 30 minutes 45 seconds is 0.5125
degrees.

This module provides functions for converting between these two formats.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes INSTALL META.json META.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Tue Jul 01 2025 umeabot <umeabot> 0.110.0-2.mga10
+ Revision: 2234428
- Mageia 10 Mass Rebuild

* Fri Jan 24 2025 tv <tv> 0.110.0-1.mga10
+ Revision: 2141574
- update to 0.11

* Sun Mar 20 2022 umeabot <umeabot> 0.90.0-11.mga9
+ Revision: 1803821
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.90.0-10.mga8
+ Revision: 1494678
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.90.0-9.mga7
+ Revision: 1268195
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.90.0-8.mga6
+ Revision: 1027720
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.90.0-7.mga6
+ Revision: 948765
- Mageia 6 Mass Rebuild

* Sat Oct 18 2014 umeabot <umeabot> 0.90.0-6.mga5
+ Revision: 788284
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.90.0-5.mga5
+ Revision: 740742
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.90.0-4.mga5
+ Revision: 684836
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.90.0-3.mga4
+ Revision: 511849
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.90.0-2.mga3
+ Revision: 367628
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Oct 13 2011 jquelin <jquelin> 0.90.0-1.mga2
+ Revision: 154309
- update to 0.09

* Thu Jan 20 2011 jquelin <jquelin> 0.80.0-1.mga1
+ Revision: 26269
- mageia rebuild
- imported package perl-Geo-Coordinates-DecimalDegrees

